[arch-commits] Commit in xf86-video-intel/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 28 03:32:54 EDT 2009


    Date: Tuesday, April 28, 2009 @ 03:32:54
  Author: eric
Revision: 36887

Merged revisions 36885 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xf86-video-intel/trunk

........
  r36885 | eric | 2009-04-28 03:29:11 -0400 (Tue, 28 Apr 2009) | 2 lines
  
  upgpkg: xf86-video-intel 2.6.3-4
      Fixed accidental move of 2.7 in extra
........

Modified:
  xf86-video-intel/repos/extra-i686/	(properties)
  xf86-video-intel/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)


Property changes on: xf86-video-intel/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xf86-video-intel/trunk:1-36841
   + /xf86-video-intel/trunk:1-36886

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-28 07:29:29 UTC (rev 36886)
+++ extra-i686/PKGBUILD	2009-04-28 07:32:54 UTC (rev 36887)
@@ -2,22 +2,30 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=xf86-video-intel
-pkgver=2.7.0
-pkgrel=2
+pkgver=2.6.3
+pkgrel=4
 pkgdesc="X.org Intel i810/i830/i915/945G/G965+ video drivers"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
 license=('custom')
-depends=('intel-dri>=7.4' 'libpciaccess>=0.10.5' 'libdrm>=2.4.9' 'libxvmc')
-makedepends=('pkgconfig' 'xorg-server>=1.6.1' 'xf86driproto>=2.0.4' 'glproto>=1.4.9' 'mesa>=7.4' 'xineramaproto')
-conflicts=('xorg-server<1.6.0' 'xf86-video-i810' 'xf86-video-intel-legacy')
-options=('!libtool')
+depends=('intel-dri>=7.4' 'libpciaccess>=0.10.5' 'libdrm>=2.4.6' 'libxvmc')
+makedepends=('pkgconfig' 'xorg-server>=1.6.0' 'xf86driproto>=2.0.4' 'glproto>=1.4.9' 'mesa>=7.4' 'xineramaproto')
+conflicts=('xorg-server<1.6.0' 'xf86-video-i810')
+options=('!libtool' 'force')
 groups=('xorg-video-drivers')
-source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2 LICENSE)
-md5sums=('5832172ac69b9a066a202e1578a5d3c8' 'b924480931774dec14515e270db4924d')
+source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2
+	vt-switch-leak-1.patch
+	vt-switch-leak-2.patch
+	2.6.3-0002-Fix-Xv-crash-with-overlay-video.patch LICENSE)
+md5sums=('440c014bbd3072b5d379fe1bdb861918' 'e468cfc5aabfe0ff0fcda7eb3243c343'\
+         '2db78fef97610bd50b124baeea3027d7' '1bcedcd65e9bc3c87a6d26d7c97d1692'\
+         'b924480931774dec14515e270db4924d')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/vt-switch-leak-1.patch" || return 1
+  patch -Np1 -i "${srcdir}/vt-switch-leak-2.patch" || return 1
+  patch -Np1 -i "${srcdir}/2.6.3-0002-Fix-Xv-crash-with-overlay-video.patch" || return 1
   ./configure --prefix=/usr --enable-dri || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1



More information about the arch-commits mailing list